import { encode } from 'reshape-preact-components'

const props = {}
props.default = [
  {
    name: 'current_page',
    type: 'string',
    description:
      'Path to the current page, used to select the currently active page.',
    value: 'docs/agent/autoauth/methods/aws.html'
  },
  {
    name: 'category',
    type: 'string',
    description: 'Top level navigation category, for example docs, api, etc.',
    value: 'docs'
  },
  {
    name: 'order',
    type: 'json',
    description: '',
    value: encode([
      {
        category: 'agent',
        content: [
          {
            category: 'autoauth',
            content: [
              {
                category: 'methods',
                content: [
                  'alicloud',
                  'aws',
                  'azure',
                  '----------',
                  'gcp',
                  'jwt',
                  'kubernetes'
                ]
              },
              {
                category: 'sinks',
                content: ['file']
              },
              'aws'
            ]
          },
          { category: 'test' }
        ]
      }
    ])
  },
  {
    name: 'data',
    type: 'json',
    description: 'base64 encoded html markup to be displayed',
    value: encode([
      {
        path: 'docs/agent/autoauth/methods/gcp.html',
        data: {
          page_title: 'Vault Agent Auto-Auth GCP Method',
          sidebar_title: '<code>GCP</code>',
          sidebar_current: 'docs-agent-autoauth-methods-gcp'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/index.html',
        data: {
          page_title: 'Vault Agent Auto-Auth Methods',
          sidebar_title: 'Methods',
          sidebar_current: 'docs-agent-autoauth-methods'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/aws.html',
        data: {
          page_title: 'Vault Agent Auto-Auth AWS Method',
          sidebar_title: '<code>AWS</code>',
          sidebar_current: 'docs-agent-autoauth-methods-aws'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/kubernetes.html',
        data: {
          page_title: 'Vault Agent Auto-Auth Kubernetes Method',
          sidebar_title: 'Kubernetes',
          sidebar_current: 'docs-agent-autoauth-methods-kubernetes'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/azure.html',
        data: {
          page_title: 'Vault Agent Auto-Auth Azure Method',
          sidebar_title: 'Azure',
          sidebar_current: 'docs-agent-autoauth-methods-azure'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/alicloud.html',
        data: {
          page_title: 'Vault Agent Auto-Auth AliCloud Method',
          sidebar_title: 'AliCloud',
          sidebar_current: 'docs-agent-autoauth-methods-alicloud'
        }
      },
      {
        path: 'docs/agent/autoauth/methods/jwt.html',
        data: {
          page_title: 'Vault Agent Auto-Auth JWT Method',
          sidebar_title: 'JWT',
          sidebar_current: 'docs-agent-autoauth-methods-jwt'
        }
      },
      {
        path: 'docs/agent/autoauth/index.html',
        data: {
          page_title: 'Vault Agent Auto-Auth',
          sidebar_title: 'Auto-Auth',
          sidebar_current: 'docs-agent-autoauth'
        }
      },
      {
        path: 'docs/agent/autoauth/sinks/file.html',
        data: {
          page_title: 'Vault Agent Auto-Auth File Sink',
          sidebar_title: 'File',
          sidebar_current: 'docs-agent-autoauth-sinks-file'
        }
      },
      {
        path: 'docs/agent/autoauth/sinks/index.html',
        data: {
          page_title: 'Vault Agent Auto-Auth Sinks',
          sidebar_title: 'Sinks',
          sidebar_current: 'docs-agent-autoauth-sinks'
        }
      },
      {
        path: 'docs/agent/index.html',
        data: {
          page_title: 'Vault Agent',
          sidebar_title: 'Vault Agent',
          sidebar_current: 'docs-agent'
        }
      },
      {
        path: 'docs/agent/test/index.html',
        data: {
          page_title: 'Test Item',
          sidebar_current: 'docs-agent-test'
        }
      },
      {
        path: 'docs/agent/autoauth/aws.html',
        data: {
          page_title: '<code>AWS</code>',
          sidebar_current: 'docs-agent-autoauth-aws'
        }
      }
    ])
  }
]

props.name = 'Docs Sidenav'
export default props
